<?php

/**

 * Feed Reader Feeds

 *

 * Manages feeds, articles, and subscribers

 *

 * @package blesta

 * @subpackage blesta.plugins.feed_reader.models

 * @copyright Copyright (c) 2010, Phillips Data, Inc.

 * @license http://www.blesta.com/license/ The Blesta License Agreement

 * @link http://www.blesta.com/ Blesta

 */



class SaveManageOptions extends AuthSafeModel

{

    /**

     * Initialize

     */

    public function __construct()

    {

        parent::__construct();

    }



    public function update($domain="", $property_id="", $property_secret="")

    {

        $company_id=$this->getCompanyId();

        if ($this->Record->select()->from("wgs_authsafe_config")->where("company_id", "=", $company_id)->numResults()) {

            return ($this->Record->where("company_id", "=", $company_id)->update("wgs_authsafe_config", array('domain' => $domain,'property_id' => $property_id,'property_secret' => $property_secret))?true:false);

        } else {

            $this->Record->insert("wgs_authsafe_config", array('domain' => $domain,'property_id' => $property_id,'property_secret' => $property_secret,'company_id' => $company_id));

            return $this->Record->lastInsertId();

        }

        return false;

    }

    public function get()

    {

        $company_id=$this->getCompanyId();

        if ($this->Record->select()->from("wgs_authsafe_config")->where("company_id", "=", $company_id)->numResults()) {

            return $this->Record->select()->from("wgs_authsafe_config")->where("company_id", "=", $company_id)->fetch();

        } else {

            return false;

        }

    }



    public function getCompanyId()

    {

        if (isset($this->company_id)) {

            return $this->company_id;

        } else {

            $companies=new Companies;

            $company_details=$companies->getByHostname($_SERVER['HTTP_HOST']);

            if (isset($company_details->id)) {

                return $company_details->id;

            } else {

                return false;

            }

        }

    }

}

